BLK_QUEUE_BOUNCE_(9)

NAME
blk_queue_bounce_limit - set bounce buffer limit for queue

SYNOPSIS

void blk_queue_bounce_limit (request_queue_t * q, u64 dma_addr);

ARGUMENTS

q   the request queue for the device

dma_addr
    bus address limit

DESCRIPTION

Different hardware can have different requirements as to what pages it can do I/O directly to. A low level driver can call blk_queue_bounce_limit to have lower memory pages allocated as bounce buffers for doing I/O to pages residing above page.